## ros-one-fetch-depth-layer 0.9.1-5jammy.20251023.1135

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5jammy.20251023.1135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 23 Oct 2025 11:35:23 +0000

ros-one-fetch-depth-layer (0.9.1-0jammy) jammy; urgency=high

  * Fixup: Remove version specification for OpenCV
    Debian Buster only has 3.x available, while Ubuntu 20.04 has 4.x available.
    This package works with either.
  * Contributors: Eric Relson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-depth-layer (0.9.0-0jammy) jammy; urgency=high

  * Initial noetic release
  * Update OpenCV version for fetch_depth_layer
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.2-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.1-0jammy) jammy; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * [fetch_depth_layer][OpenCV-4] operator= compile error (#108)
    
    This fixes no match for ‘operator=’ error with OpenCV4 and how the cv::Ptr was being set.
    Fixed by setting the normals_estimator_ pointer similarly to how the plane_estimator_ pointer is being set.
    This closes #82
  * [upstream change] pluginlib includes: h -> hpp (#106)
    
    pluginlib provided a script for this change, and it's been backported
    to Indigo, Kinetic- but not Jade.
  * Contributors: Alexander Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.0-0jammy) jammy; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Merge pull request #81 <https://github.com/fetchrobotics/fetch_ros/issues/81> from moriarty/tf2-nav-melodic-devel
    [fetch_depth_layer][tf2] fixes for upstream navigation
    Changes for compatibility with ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
  * [fetch_depth_layer][tf2] ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Don't merge this until ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Updates fetch_depth_layer for tf2 changes coming upstream.
  * Merge pull request #80 <https://github.com/fetchrobotics/fetch_ros/issues/80> from moriarty/opencv3-runtime-symbols-not-found
    [Depth Layer] Fixes OpenCV3 symbol lookup error
    Originally we depended on opencv_candidate which found the OpenCV libs for us.
  * Merge pull request #78 <https://github.com/fetchrobotics/fetch_ros/issues/78> from fetchrobotics/build-on-melodic
    fetch_depth_layer is now full OpenCV3 support
  * Contributors: Alex Moriarty, Alexander Moriarty, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.14-0jammy) jammy; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.13-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.12-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.11-0jammy) jammy; urgency=high

  * scoped 'isnan' with 'std'
    Fixes compilation errors while compiling with c++11 flags
  * Contributors: Priyam Parashar

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.10-0jammy) jammy; urgency=high

  * updates to handle OpenCV3 changes
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.9-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.8-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.7-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.6-0jammy) jammy; urgency=high

  * Allow FetchDepthLayer to send empty clouds
    This keeps the "current"-ness of observationbuffers up-to-date even when
    sensors return zero points due to being in a large open area.
  * Contributors: Aaron Hoy

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.5-0jammy) jammy; urgency=high

  * Fixed activate and deactivate to avoid errors
  * Parameterizing inputs for ObservationBuffer to match parent layers.
  * Contributors: Aaron Hoy, Alex Henning, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.4-0jammy) jammy; urgency=high

  * activate/deactivate for fetch depth layer
  * Added transform filtering to depth layer depth data callback
  * Contributors: Levon Avagyan

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.3-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.2-0jammy) jammy; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fetch-depth-layer//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fetch-depth-layer 0.9.1-5jammy.20251208.0000

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5jammy.20251208.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 08 Dec 2025 00:00:16 +0000

## ros-one-fetch-depth-layer 0.9.1-5jammy.20260221.2254

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5jammy.20260221.2254) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 21 Feb 2026 22:54:53 +0000

## ros-one-fetch-depth-layer 0.9.1-5noble.20251023.1203

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_depth_layer)

find_package(catkin REQUIRED 
  COMPONENTS
    pluginlib
    roscpp
    image_transport
    cv_bridge
    sensor_msgs
    geometry_msgs
    tf2_ros
    costmap_2d
    nav_msgs
)

find_package(OpenCV REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    fech_depth_layer
  CATKIN_DEPENDS
    image_transport
    cv_bridge
    roscpp
    sensor_msgs
    tf2_ros
    geometry_msgs
    costmap_2d
    nav_msgs
  DEPENDS
    OpenCV
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

add_library(fetch_depth_layer src/depth_layer.cpp)

target_link_libraries(fetch_depth_layer
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

install(FILES costmap_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS fetch_depth_layer
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5noble.20251023.1203) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 23 Oct 2025 12:03:51 +0000

ros-one-fetch-depth-layer (0.9.1-0noble) noble; urgency=high

  * Fixup: Remove version specification for OpenCV
    Debian Buster only has 3.x available, while Ubuntu 20.04 has 4.x available.
    This package works with either.
  * Contributors: Eric Relson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-depth-layer (0.9.0-0noble) noble; urgency=high

  * Initial noetic release
  * Update OpenCV version for fetch_depth_layer
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.2-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.1-0noble) noble; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * [fetch_depth_layer][OpenCV-4] operator= compile error (#108)
    
    This fixes no match for ‘operator=’ error with OpenCV4 and how the cv::Ptr was being set.
    Fixed by setting the normals_estimator_ pointer similarly to how the plane_estimator_ pointer is being set.
    This closes #82
  * [upstream change] pluginlib includes: h -> hpp (#106)
    
    pluginlib provided a script for this change, and it's been backported
    to Indigo, Kinetic- but not Jade.
  * Contributors: Alexander Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.8.0-0noble) noble; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Merge pull request #81 <https://github.com/fetchrobotics/fetch_ros/issues/81> from moriarty/tf2-nav-melodic-devel
    [fetch_depth_layer][tf2] fixes for upstream navigation
    Changes for compatibility with ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
  * [fetch_depth_layer][tf2] ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Don't merge this until ros-planning/navigation#755 <https://github.com/ros-planning/navigation/issues/755>
    Updates fetch_depth_layer for tf2 changes coming upstream.
  * Merge pull request #80 <https://github.com/fetchrobotics/fetch_ros/issues/80> from moriarty/opencv3-runtime-symbols-not-found
    [Depth Layer] Fixes OpenCV3 symbol lookup error
    Originally we depended on opencv_candidate which found the OpenCV libs for us.
  * Merge pull request #78 <https://github.com/fetchrobotics/fetch_ros/issues/78> from fetchrobotics/build-on-melodic
    fetch_depth_layer is now full OpenCV3 support
  * Contributors: Alex Moriarty, Alexander Moriarty, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.14-0noble) noble; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.13-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.12-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.11-0noble) noble; urgency=high

  * scoped 'isnan' with 'std'
    Fixes compilation errors while compiling with c++11 flags
  * Contributors: Priyam Parashar

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.10-0noble) noble; urgency=high

  * updates to handle OpenCV3 changes
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.9-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.8-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.7-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.6-0noble) noble; urgency=high

  * Allow FetchDepthLayer to send empty clouds
    This keeps the "current"-ness of observationbuffers up-to-date even when
    sensors return zero points due to being in a large open area.
  * Contributors: Aaron Hoy

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.5-0noble) noble; urgency=high

  * Fixed activate and deactivate to avoid errors
  * Parameterizing inputs for ObservationBuffer to match parent layers.
  * Contributors: Aaron Hoy, Alex Henning, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.4-0noble) noble; urgency=high

  * activate/deactivate for fetch depth layer
  * Added transform filtering to depth layer depth data callback
  * Contributors: Levon Avagyan

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.3-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-depth-layer (0.7.2-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-fetch-depth-layer
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2-ros
Homepage: http://docs.fetchrobotics.com/perception.html
Standards-Version: 3.9.2

Package: ros-one-fetch-depth-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2-ros
Description: The fetch_depth_layer package

## ros-one-fetch-depth-layer 0.9.1-5noble.20251208.1052

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5noble.20251208.1052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 08 Dec 2025 10:52:22 +0000

## ros-one-fetch-depth-layer 0.9.1-5noble.20260221.2358

=== debian/changelog ===
ros-one-fetch-depth-layer (0.9.1-5noble.20260221.2358) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 21 Feb 2026 23:58:33 +0000
